| v_mix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- f
- i
- l
- m
- n
- p
- s

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AlphaFlag : XV_mix_Config

### - b -

- BaseAddress : XV_mix_Config

### - c -

- CallbackRef : XV_Mix_l2
- ColorFormat : XV_mix_Config
- Config : XV_mix
- CscCoeffsRegsEn : XV_mix_Config

### - d -

- DeviceId : XV_mix_Config

### - f -

- FrameDoneCallback : XV_Mix_l2

### - i -

- IsReady : XV_mix

### - l -

- Layer : XV_Mix_l2
- Layer10AlphaEn : XVMix_AlphaFlag
- Layer10ColorFmt : XVMix_LayerColorFormat
- Layer10IntfType : XVMix_LayerIntfType
- Layer10MaxWidth : XVMix_LayerMaxWidth
- Layer10ScalingEn : XVMix_ScaleFlag
- Layer11AlphaEn : XVMix_AlphaFlag
- Layer11ColorFmt : XVMix_LayerColorFormat
- Layer11IntfType : XVMix_LayerIntfType
- Layer11MaxWidth : XVMix_LayerMaxWidth
- Layer11ScalingEn : XVMix_ScaleFlag
- Layer12AlphaEn : XVMix_AlphaFlag
- Layer12ColorFmt : XVMix_LayerColorFormat
- Layer12IntfType : XVMix_LayerIntfType
- Layer12MaxWidth : XVMix_LayerMaxWidth
- Layer12ScalingEn : XVMix_ScaleFlag
- Layer13AlphaEn : XVMix_AlphaFlag
- Layer13ColorFmt : XVMix_LayerColorFormat
- Layer13IntfType : XVMix_LayerIntfType
- Layer13MaxWidth : XVMix_LayerMaxWidth
- Layer13ScalingEn : XVMix_ScaleFlag
- Layer14AlphaEn : XVMix_AlphaFlag
- Layer14ColorFmt : XVMix_LayerColorFormat
- Layer14IntfType : XVMix_LayerIntfType
- Layer14MaxWidth : XVMix_LayerMaxWidth
- Layer14ScalingEn : XVMix_ScaleFlag
- Layer15AlphaEn : XVMix_AlphaFlag
- Layer15ColorFmt : XVMix_LayerColorFormat
- Layer15IntfType : XVMix_LayerIntfType
- Layer15MaxWidth : XVMix_LayerMaxWidth
- Layer15ScalingEn : XVMix_ScaleFlag
- Layer16AlphaEn : XVMix_AlphaFlag
- Layer16ColorFmt : XVMix_LayerColorFormat
- Layer16IntfType : XVMix_LayerIntfType
- Layer16MaxWidth : XVMix_LayerMaxWidth
- Layer16ScalingEn : XVMix_ScaleFlag
- Layer1AlphaEn : XVMix_AlphaFlag
- Layer1ColorFmt : XVMix_LayerColorFormat
- Layer1IntfType : XVMix_LayerIntfType
- Layer1MaxWidth : XVMix_LayerMaxWidth
- Layer1ScalingEn : XVMix_ScaleFlag
- Layer2AlphaEn : XVMix_AlphaFlag
- Layer2ColorFmt : XVMix_LayerColorFormat
- Layer2IntfType : XVMix_LayerIntfType
- Layer2MaxWidth : XVMix_LayerMaxWidth
- Layer2ScalingEn : XVMix_ScaleFlag
- Layer3AlphaEn : XVMix_AlphaFlag
- Layer3ColorFmt : XVMix_LayerColorFormat
- Layer3IntfType : XVMix_LayerIntfType
- Layer3MaxWidth : XVMix_LayerMaxWidth
- Layer3ScalingEn : XVMix_ScaleFlag
- Layer4AlphaEn : XVMix_AlphaFlag
- Layer4ColorFmt : XVMix_LayerColorFormat
- Layer4IntfType : XVMix_LayerIntfType
- Layer4MaxWidth : XVMix_LayerMaxWidth
- Layer4ScalingEn : XVMix_ScaleFlag
- Layer5AlphaEn : XVMix_AlphaFlag
- Layer5ColorFmt : XVMix_LayerColorFormat
- Layer5IntfType : XVMix_LayerIntfType
- Layer5MaxWidth : XVMix_LayerMaxWidth
- Layer5ScalingEn : XVMix_ScaleFlag
- Layer6AlphaEn : XVMix_AlphaFlag
- Layer6ColorFmt : XVMix_LayerColorFormat
- Layer6IntfType : XVMix_LayerIntfType
- Layer6MaxWidth : XVMix_LayerMaxWidth
- Layer6ScalingEn : XVMix_ScaleFlag
- Layer7AlphaEn : XVMix_AlphaFlag
- Layer7ColorFmt : XVMix_LayerColorFormat
- Layer7IntfType : XVMix_LayerIntfType
- Layer7MaxWidth : XVMix_LayerMaxWidth
- Layer7ScalingEn : XVMix_ScaleFlag
- Layer8AlphaEn : XVMix_AlphaFlag
- Layer8ColorFmt : XVMix_LayerColorFormat
- Layer8IntfType : XVMix_LayerIntfType
- Layer8MaxWidth : XVMix_LayerMaxWidth
- Layer8ScalingEn : XVMix_ScaleFlag
- Layer9AlphaEn : XVMix_AlphaFlag
- Layer9ColorFmt : XVMix_LayerColorFormat
- Layer9IntfType : XVMix_LayerIntfType
- Layer9MaxWidth : XVMix_LayerMaxWidth
- Layer9ScalingEn : XVMix_ScaleFlag
- LogoColorKeyEn : XV_mix_Config
- LogoEn : XV_mix_Config
- LogoPixAlphaEn : XV_mix_Config
- LyrColorFmt : XV_mix_Config
- LyrIntfType : XV_mix_Config
- LyrMaxWidth : XV_mix_Config

### - m -

- MaxDataWidth : XV_mix_Config
- MaxHeight : XV_mix_Config
- MaxLogoHeight : XV_mix_Config
- MaxLogoWidth : XV_mix_Config
- MaxWidth : XV_mix_Config
- Mix : XV_Mix_l2

### - n -

- NumLayers : XV_mix_Config

### - p -

- PixPerClk : XV_mix_Config

### - s -

- ScaleFlag : XV_mix_Config
- Stream : XV_Mix_l2